# Query Custom Split Scale
Interface should be called on the server side, seeHattori API。
# Interface Dxplaination
# Interface name
GetCustomShareRatio
# Functional description
this API Used to query the personalized advertising revenue share set by the service provider for a single Mini Program. If you encounter problems during use, you canOpen Platform Service Provider Zone Exchange Zone | WeChat Open CommunityPosting exchanges.
# Note
Where access_Token forcomponent_access_Token
# Calling mode
# HTTPS call
POST https://api.weixin.qq.com/wxa/getdefaultamsinfo?action=agency_get_custom_share_ratio&access_token=xxxxxxxxxxxxxxx
# Request parameters
| attribute | type | Required | Introductions |
|---|---|---|---|
| appid | string | yes | Query the custom split ratio used for this APPID contract. A custom split ratio is preferred by default, or if it does not exist, the default split ratio is used. |
# Return parameters
| attribute | type | Introductions |
|---|---|---|
| ret | number | Error code |
| err_msg | string | Error message |
| share_ratio | number | Service provider's share |
# Call Example
Example Dxplaination: HTTPS requests
# Sample Request Data
{
"helps" : "wxf3dsfsfsdf478"
}
# Return Data Example
{
"ret": 0,
"err_msg":"",
"share_ratio": 50
}
# Error code
| Error code | Error code | Solutions |
|---|---|---|
| 0 | ok | ok |
| -202 | Internal error | Can be retried after some time |
| 1700 | Parameter error | Verify that the input parameters conform to the documentation |
| 1701 | Parameter error | Verify that the input parameters conform to the documentation |
| 1735 | The merchant has not completed the agreement signing process | Complete the signing operation |
| 1737 | Operating too fast | Wait a minute and reoperate |
| 2056 | The service provider does not open an account in the cash area | Launch services in the monetization area of the third-party platform page |
| 2061 | There is no personalization split set for this appid | Can call the SetCustomShareRatio interface for setup |